__kernel void vectorAdd(
	const __global float *a, 
	const __global float *b, 
	__global float *c, 
	const unsigned int n)
{
	/* 	Es necesario el condicional, ya que el tamanio del
		vector puede no ser multiplo de Work-Group-Size. Y el
		tamanio del Problema debe ser divisible por Work-Group-Size. */
	
	int gid = get_global_id(0);
	if(gid < n)
		c[gid] = a[gid] + b[gid];
}
